#!/usr/bin/perl
# search-file-list.pl word-to-find strict
# searches file-list for word-to-find
# if strict, the search excludes substring matches

my ($word, $re) = @ARGV;

open (LIST, '-|', qq!cat file-list |xargs -n1 grep -H "$word"!) || exit;
 my $line;
 if ($re) {
  $re = qr/(?:\b|_)\Q$word\E(?:\b|_)/;
  while ($line = <LIST>) {
   next unless $line =~ $re;
   print $line;
  }
 } else {
  while ($line = <LIST>) {
   print $line;
  }
 }
close LIST;
